function osSetType(type, index)
	if type == "party" then
		SetDungeonDifficulty(index)
	elseif type == "raid" then
		SetRaidDifficulty(index)
	end
end

-- 5 man

SlashCmdList.OSDREGFIVE = function()
	osSetType("party",1)
end

SlashCmdList.OSDHERFIVE = function()
	osSetType("party",2)
end

SLASH_OSDREGFIVE1 = "/r5";
SLASH_OSDHERFIVE1 = "/h5";

-- 10 man

SlashCmdList.OSDREGTEN = function()
	osSetType("raid",1)
end

SlashCmdList.OSDHERTEN = function()
	osSetType("raid",3)
end

SLASH_OSDREGTEN1 = "/r10";
SLASH_OSDHERTEN1 = "/h10";

-- 25 man

SlashCmdList.OSDREGTWOFIVE = function()
	osSetType("raid",2)
end

SlashCmdList.OSDHERTWOFIVE = function()
	osSetType("raid",4)
end

SLASH_OSDREGTWOFIVE1 = "/r25";
SLASH_OSDHERTWOFIVE1 = "/h25";